{% set submitValue = submitValue|default('action.submit'|trans) %}

{{ form_start(form) }}

{% for domainInfo in orderByDomain(form.answers) %}
    {% set newRow = loop.index is odd %}
    {% if newRow %}
        <div class="row">
    {% endif %}
        <div class="col-md-6">
            <div class="box box-solid box-{{ domainInfo.color }}">
                <div class="box-header with-border"><h3 class="box-title">{{ domainInfo.name }}</h3></div>
                <div class="box-body">
                    {% for formAnswer in orderAnswersByQuestionNameAsc(domainInfo.answers) %}
                        <div class="form-group">
                            {{ form_label(formAnswer, formAnswer.vars.value.question.name) }}
                            {{ form_widget(formAnswer) }}
                            {{ form_errors(formAnswer) }}
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    {% if not newRow %}
        </div>
    {% endif %}
{% endfor %}

<div class="row">
    <div class="col-md-12">
        <div class="box box-solid">
            <div class="box-body text-center">
                <a href="{{ path('maturity_survey_list') }}" class="btn btn-default">
                    {{ 'maturity.survey.action.back_to_list'|trans }}
                </a>
                <input type="submit" class="btn btn-primary" value="{{ submitValue }}">
            </div>
        </div>
    </div>
</div>

{{ form_end(form) }}
